#include <stdio.h>
#include <stdlib.h>
#include <math.h>
int main()
{
    char c1, c2;
    int a1, a2;
    int i = 0;

    scanf("%c%c",&c1,&c2);
    scanf("%d%d",&a1,&a2);

    if(a1 == a2)
    {
        while(i < a1)
        {
            printf("%c%c", c1, c2);
            i++;
        }
    }
    else if(abs(a1 - a2) == 1)
    {
        if(a1 > a2)
        {
            printf("%c", c1);

            while(i < a2)
            {
                printf("%c%c", c2, c1);
                i++;
            }
        }
        else
        {
            printf("%c", c2);

            while(i < a1)
            {
                printf("%c%c", c1, c2);
                i++;
            }
        }
    }
    else
    {
        printf("nemoguce");
    }

    return 0;
}